Unlink a connection from an environment
curl --request DELETE \
--url https://platform.versori.com/api/v2/o/{organisation_id}/connections/{connection_id}/link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionTemplateId": "<string>"
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/connections/{connection_id}/link"
payload = { "connectionTemplateId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connectionTemplateId: '<string>'})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/connections/{connection_id}/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}connections
Unlink a connection from an environment
UnlinkConnectionFromEnvironment removes the link between a connection and an environment for the given connectionTemplateId.
DELETE
/
o
/
{organisation_id}
/
connections
/
{connection_id}
/
link
Unlink a connection from an environment
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Body
application/json
LinkConnectionEnvironment is the request payload to link an existing connection to an environment.
This is the ID of the template that the connection is created against.
Response
No Content
Link an existing connection to an environment
Previous
Retrieve the connection for the activations.
Next
⌘I